'use strict';

var VALID_EMAIL_REGEX = /^[\w+-.]+@[a-z\d-]+(\.[a-z\d-]+)*\.[a-z]+$/i;
var VALID_URL_REGEX = /^((https?):\/\/)?(www.)?[a-z0-9-]+(\.[a-z]{2,}){1,3}(#?\/?[a-zA-Z0-9#-]+)*\/?(\?[a-zA-Z0-9-_]+=[a-zA-Z0-9-%]+(&[a-zA-Z0-9-_]+=[a-zA-Z0-9-%]+)*)?$/;
var VALID_SLUG_REGEX = /^[a-z0-9]+(?:-[a-z0-9]+)*$/;

exports.VALID_EMAIL_REGEX = VALID_EMAIL_REGEX;
exports.VALID_SLUG_REGEX = VALID_SLUG_REGEX;
exports.VALID_URL_REGEX = VALID_URL_REGEX;
//# sourceMappingURL=regex.js.map
