'use strict';

var axios = require('axios');
var qs = require('qs');

/* eslint-disable @bigbinary/neeto/use-snake-case-for-api-connector-filename */
var setParamsSerializer = function setParamsSerializer() {
  axios.defaults.paramsSerializer = function (params) {
    return qs.stringify(params, {
      arrayFormat: "brackets",
      skipNulls: true
    });
  };
};

module.exports = setParamsSerializer;
//# sourceMappingURL=paramsSerializer.js.map
