'use strict';

var defineProperty = require('../../defineProperty-lChFfVqi.js');
var reactQueryDevtools = require('@tanstack/react-query-devtools');
var BrowserSupport = require('@bigbinary/neeto-molecules/BrowserSupport');
var StickyRibbonsContainer = require('@bigbinary/neeto-molecules/StickyRibbonsContainer');
var reactRouterDom = require('react-router-dom');
var reactToastify = require('react-toastify');
var reactUtils_HoneybadgerErrorBoundary_HoneybadgerErrorBoundary = require('../HoneybadgerErrorBoundary/HoneybadgerErrorBoundary.js');
var reactUtils_QueryClientProvider_QueryClientProvider = require('../QueryClientProvider/QueryClientProvider.js');
var jsxRuntime = require('react/jsx-runtime');
require('../../typeof-D4ZZ_FlZ.js');
require('@honeybadger-io/react');
require('../HoneybadgerErrorBoundary/constants.js');
require('../HoneybadgerErrorBoundary/FallbackComponent.js');
require('react');
require('dompurify');
require('@bigbinary/neetoui/Button');
require('@bigbinary/neetoui/Typography');
require('ramda');
require('react-i18next');
require('../HoneybadgerErrorBoundary/utils.js');
require('@tanstack/react-query');
require('../QueryClientProvider/queryClient.js');
require('../../constants/index.js');
require('../../constants/regex.js');

var e=[],t=[];function n(n,r){if(n&&"undefined"!=typeof document){var a,s=true===r.prepend?"prepend":"append",d=true===r.singleTag,i="string"==typeof r.container?document.querySelector(r.container):document.getElementsByTagName("head")[0];if(d){var u=e.indexOf(i);-1===u&&(u=e.push(i)-1,t[u]={}),a=t[u]&&t[u][s]?t[u][s]:t[u][s]=c();}else a=c();65279===n.charCodeAt(0)&&(n=n.substring(1)),a.styleSheet?a.styleSheet.cssText+=n:a.appendChild(document.createTextNode(n));}function c(){var e=document.createElement("style");if(e.setAttribute("type","text/css"),r.attributes)for(var t=Object.keys(r.attributes),n=0;n<t.length;n++)e.setAttribute(t[n],r.attributes[t[n]]);var a="prepend"===s?"afterbegin":"beforeend";return i.insertAdjacentElement(a,e),e}}

var css = ".tsqd-transitions-container aside{z-index:99999}";
n(css,{});

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), true).forEach(function (r) { defineProperty._defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var AppContainer = function AppContainer(_ref) {
  var children = _ref.children,
    browserSupportProps = _ref.browserSupportProps,
    _ref$enableStickyRibb = _ref.enableStickyRibbons,
    enableStickyRibbons = _ref$enableStickyRibb === void 0 ? globalProps.ssoEnabled : _ref$enableStickyRibb,
    honeybadgerErrorBoundaryProps = _ref.honeybadgerErrorBoundaryProps,
    reactQueryDevtoolsProps = _ref.reactQueryDevtoolsProps,
    toastContainerProps = _ref.toastContainerProps;
  return /*#__PURE__*/jsxRuntime.jsx(reactUtils_HoneybadgerErrorBoundary_HoneybadgerErrorBoundary, _objectSpread(_objectSpread({}, honeybadgerErrorBoundaryProps), {}, {
    children: /*#__PURE__*/jsxRuntime.jsxs(BrowserSupport, _objectSpread(_objectSpread({}, browserSupportProps), {}, {
      children: [/*#__PURE__*/jsxRuntime.jsx(reactToastify.ToastContainer, _objectSpread({}, toastContainerProps)), /*#__PURE__*/jsxRuntime.jsxs(reactUtils_QueryClientProvider_QueryClientProvider, {
        children: [globalProps.authenticated && enableStickyRibbons && /*#__PURE__*/jsxRuntime.jsx(StickyRibbonsContainer, {}), /*#__PURE__*/jsxRuntime.jsx(reactRouterDom.BrowserRouter, {
          children: children
        }), /*#__PURE__*/jsxRuntime.jsx(reactQueryDevtools.ReactQueryDevtools, _objectSpread({
          initialIsOpen: false,
          position: "bottom"
        }, reactQueryDevtoolsProps))]
      })]
    }))
  }));
};

module.exports = AppContainer;
//# sourceMappingURL=AppContainer.js.map
