'use strict';

var initializers = require('@bigbinary/neeto-commons-frontend/initializers');
var Helmet = require('react-helmet');
var jsxRuntime = require('react/jsx-runtime');

var PageTitle = function PageTitle(_ref) {
  var title = _ref.title;
  var pageTitle = title ? "".concat(title, " | ").concat(initializers.globalProps.appName) : initializers.globalProps.appName;
  return /*#__PURE__*/jsxRuntime.jsx(Helmet, {
    children: /*#__PURE__*/jsxRuntime.jsx("title", {
      children: pageTitle
    })
  });
};

module.exports = PageTitle;
//# sourceMappingURL=PageTitle.js.map
