'use strict';

var reactQuery = require('@tanstack/react-query');
var reactUtils_QueryClientProvider_queryClient = require('./queryClient.js');
var jsxRuntime = require('react/jsx-runtime');
require('../../constants/index.js');
require('../../constants/regex.js');

var QueryClientProvider = function QueryClientProvider(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/jsxRuntime.jsx(reactQuery.QueryClientProvider, {
    client: reactUtils_QueryClientProvider_queryClient,
    children: children
  });
};

module.exports = QueryClientProvider;
//# sourceMappingURL=QueryClientProvider.js.map
