'use strict';

var defineProperty = require('../../defineProperty-lChFfVqi.js');
var Helmet = require('react-helmet');
var jsxRuntime = require('react/jsx-runtime');
require('../../typeof-D4ZZ_FlZ.js');

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), true).forEach(function (r) { defineProperty._defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var withTitle = function withTitle(Component) {
  var title = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : undefined;
  return function (props) {
    var pageTitle = title ? "".concat(title, " | ").concat(globalProps.appName) : globalProps.appName;
    return /*#__PURE__*/jsxRuntime.jsxs(jsxRuntime.Fragment, {
      children: [/*#__PURE__*/jsxRuntime.jsx(Helmet.Helmet, {
        children: /*#__PURE__*/jsxRuntime.jsx("title", {
          children: pageTitle
        })
      }), /*#__PURE__*/jsxRuntime.jsx(Component, _objectSpread({}, props))]
    });
  };
};

module.exports = withTitle;
//# sourceMappingURL=withTitle.js.map
