import { keysToCamelCase, capitalize, deepFreezeObject } from '@bigbinary/neeto-cist';

/* eslint-disable @bigbinary/neeto/no-globalProps-reassignment */
function initializeGlobalProps() {
  var _document$getElements, _window;
  window.globalProps = keysToCamelCase(JSON.parse(((_document$getElements = document.getElementsByClassName("root-container")[0]) === null || _document$getElements === void 0 || (_document$getElements = _document$getElements.dataset) === null || _document$getElements === void 0 ? void 0 : _document$getElements.reactProps) || "{}"));
  if ((_window = window) !== null && _window !== void 0 && (_window = _window.globalProps) !== null && _window !== void 0 && _window.appName) {
    window.globalProps.appName = capitalize(window.globalProps.appName);
  }
  deepFreezeObject(window.globalProps);
}

export { initializeGlobalProps as default };
//# sourceMappingURL=globalProps.js.map
