import { _ as _typeof } from '../typeof-D-UKOauR.js';

var isObjectOrFunction = function isObjectOrFunction(object) {
  var type = _typeof(object);
  return type === "function" || type === "object" && !!object;
};
function disableReactDevTools() {
  if (window && window.document) {
    var developerToolsHook = window.__REACT_DEVTOOLS_GLOBAL_HOOK__;
    if (!isObjectOrFunction(developerToolsHook)) return;
    for (var prop in developerToolsHook) {
      if (prop === "renderers") {
        developerToolsHook[prop] = new Map();
      } else {
        developerToolsHook[prop] = typeof developerToolsHook[prop] === "function" ? Function.prototype : null;
      }
    }
  }
}

export { disableReactDevTools as default };
//# sourceMappingURL=reactDevTools.js.map
