import { _ as _typeof } from '../../typeof-D-UKOauR.js';
import { _ as _slicedToArray } from '../../slicedToArray-DmsZvA_9.js';
import i18next from 'i18next';
import '../../unsupportedIterableToArray-Dqz8Y8_I.js';

var getter = function getter(key) {
  return function () {
    return i18next.t("taxonomyDefaultLabels.".concat(key));
  };
};
var _replaceNullValuesWithGetter = function replaceNullValuesWithGetter(inputObject) {
  var parentKey = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : "";
  var result = {};
  for (var _i = 0, _Object$entries = Object.entries(inputObject); _i < _Object$entries.length; _i++) {
    var _Object$entries$_i = _slicedToArray(_Object$entries[_i], 2),
      key = _Object$entries$_i[0],
      value = _Object$entries$_i[1];
    var transKey = parentKey ? "".concat(parentKey, ".").concat(key) : key;
    if (value === null) {
      Object.defineProperty(result, key, {
        get: getter(transKey)
      });
    } else if (_typeof(value) === "object") {
      result[key] = _replaceNullValuesWithGetter(value, transKey);
    } else {
      result[key] = value;
    }
  }
  return result;
};

export { _replaceNullValuesWithGetter as replaceNullValuesWithGetter };
//# sourceMappingURL=utils.js.map
