import { prop } from 'ramda';
import { create } from 'zustand';

var useDisplayErrorPage = function useDisplayErrorPage() {
  return useErrorDisplayStore(prop("showErrorPage"));
};
var useErrorDisplayStore = create(function () {
  return {
    showErrorPage: false,
    statusCode: 404,
    failedApiUrl: "",
    failedApiPath: "",
    showRefreshRibbon: false
  };
});

export { useDisplayErrorPage as default, useErrorDisplayStore };
//# sourceMappingURL=useDisplayErrorPage.js.map
