import { _ as _slicedToArray } from '../../slicedToArray-DmsZvA_9.js';
import { useState, useEffect } from 'react';
import useForceUpdate from './useForceUpdate.js';
import '../../unsupportedIterableToArray-Dqz8Y8_I.js';

var useIsElementVisibleInDom = function useIsElementVisibleInDom(target) {
  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : undefined;
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    isIntersecting = _useState2[0],
    setIsIntersecting = _useState2[1];
  var forceUpdate = useForceUpdate();
  useEffect(function () {
    if (!target) return forceUpdate();
    var observer = new IntersectionObserver(function (_ref) {
      var _ref2 = _slicedToArray(_ref, 1),
        entry = _ref2[0];
      return setIsIntersecting(entry.isIntersecting);
    }, options);
    observer.observe(target);
    return function () {
      return observer.unobserve(target);
    };
  }, [target, options]);
  return isIntersecting;
};

export { useIsElementVisibleInDom as default };
//# sourceMappingURL=useIsElementVisibleInDom.js.map
