'use strict';

var constants_regex = require('./regex.js');

var BASE_API_V1_URL = "/api/v1";
var DEFAULT_PAGE_SIZE = 30;
var DEFAULT_PAGE_INDEX = 1;
var DEFAULT_STALE_TIME = 3600000; // 1 hour

// Constants for translation
var SINGULAR = {
  count: 1
};
var PLURAL = {
  count: 2
};

// Base URL for Neeto assets
var CLOUDFRONT_BASE_URL = "https://d2v7kzglnr2dnh.cloudfront.net";

exports.VALID_EMAIL_REGEX = constants_regex.VALID_EMAIL_REGEX;
exports.VALID_SLUG_REGEX = constants_regex.VALID_SLUG_REGEX;
exports.VALID_URL_REGEX = constants_regex.VALID_URL_REGEX;
exports.BASE_API_V1_URL = BASE_API_V1_URL;
exports.CLOUDFRONT_BASE_URL = CLOUDFRONT_BASE_URL;
exports.DEFAULT_PAGE_INDEX = DEFAULT_PAGE_INDEX;
exports.DEFAULT_PAGE_SIZE = DEFAULT_PAGE_SIZE;
exports.DEFAULT_STALE_TIME = DEFAULT_STALE_TIME;
exports.PLURAL = PLURAL;
exports.SINGULAR = SINGULAR;
//# sourceMappingURL=index.js.map
