'use strict';

var _typeof = require('../../typeof-D4ZZ_FlZ.js');
var slicedToArray = require('../../slicedToArray-BcL7fKuL.js');
var i18next = require('i18next');
require('../../unsupportedIterableToArray-BoHMiKNA.js');

var getter = function getter(key) {
  return function () {
    return i18next.t("taxonomyDefaultLabels.".concat(key));
  };
};
var _replaceNullValuesWithGetter = function replaceNullValuesWithGetter(inputObject) {
  var parentKey = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : "";
  var result = {};
  for (var _i = 0, _Object$entries = Object.entries(inputObject); _i < _Object$entries.length; _i++) {
    var _Object$entries$_i = slicedToArray._slicedToArray(_Object$entries[_i], 2),
      key = _Object$entries$_i[0],
      value = _Object$entries$_i[1];
    var transKey = parentKey ? "".concat(parentKey, ".").concat(key) : key;
    if (value === null) {
      Object.defineProperty(result, key, {
        get: getter(transKey)
      });
    } else if (_typeof._typeof(value) === "object") {
      result[key] = _replaceNullValuesWithGetter(value, transKey);
    } else {
      result[key] = value;
    }
  }
  return result;
};

exports.replaceNullValuesWithGetter = _replaceNullValuesWithGetter;
//# sourceMappingURL=utils.js.map
