'use strict';

var reactQuery = require('@tanstack/react-query');
var constants_index = require('../../constants/index.js');
require('../../constants/regex.js');

var queryClient = new reactQuery.QueryClient({
  queryCache: new reactQuery.QueryCache(),
  defaultOptions: {
    queries: {
      refetchOnWindowFocus: false,
      staleTime: constants_index.DEFAULT_STALE_TIME,
      placeholderData: reactQuery.keepPreviousData
    }
  }
});

module.exports = queryClient;
//# sourceMappingURL=queryClient.js.map
