'use strict';

var toConsumableArray = require('../toConsumableArray-tBKHqzE3.js');
var defineProperty = require('../defineProperty-lChFfVqi.js');
var neetoCist = require('@bigbinary/neeto-cist');
var ramda = require('ramda');
require('../unsupportedIterableToArray-BoHMiKNA.js');
require('../typeof-D4ZZ_FlZ.js');

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), true).forEach(function (r) { defineProperty._defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var buildNestedAttributesPayload = function buildNestedAttributesPayload(_ref) {
  var modifiedValues = _ref.modifiedValues,
    initialValues = _ref.initialValues,
    nestedKeyToModify = _ref.nestedKeyToModify,
    nestedAttributeKeyInPayload = _ref.nestedAttributeKeyInPayload,
    nestedAttributesForArrayKey = _ref.nestedAttributesForArrayKey;
  var itemsToDestroy = initialValues[nestedKeyToModify].filter(function (initialItem) {
    return neetoCist.isNotPresent(neetoCist.findBy({
      value: initialItem[nestedAttributeKeyInPayload]
    }, modifiedValues[nestedKeyToModify]));
  });
  var itemsToDestroyAttrs = itemsToDestroy.map(function (item) {
    return defineProperty._defineProperty(defineProperty._defineProperty({
      id: item.id
    }, nestedAttributeKeyInPayload, item[nestedAttributeKeyInPayload]), "_destroy", true);
  });
  var itemsToBeCreated = modifiedValues[nestedKeyToModify].filter(function (modifiedItem) {
    return neetoCist.isNotPresent(neetoCist.findBy(defineProperty._defineProperty({}, nestedAttributeKeyInPayload, modifiedItem.value.toLowerCase()), initialValues[nestedKeyToModify]));
  });
  var itemsToCreateAttrs = itemsToBeCreated.map(function (item) {
    return defineProperty._defineProperty({}, nestedAttributeKeyInPayload, item.value);
  });
  var nestedAttributes = [].concat(toConsumableArray._toConsumableArray(itemsToCreateAttrs), toConsumableArray._toConsumableArray(itemsToDestroyAttrs));
  return _objectSpread(_objectSpread({}, ramda.omit([nestedKeyToModify], modifiedValues)), {}, defineProperty._defineProperty({}, nestedAttributesForArrayKey, nestedAttributes));
};

exports.buildNestedAttributesPayload = buildNestedAttributesPayload;
//# sourceMappingURL=buildNestedAttributesPayload.js.map
