import axios from 'axios';
import qs from 'qs';

/* eslint-disable @bigbinary/neeto/use-snake-case-for-api-connector-filename */
var setParamsSerializer = function setParamsSerializer() {
  axios.defaults.paramsSerializer = function (params) {
    return qs.stringify(params, {
      arrayFormat: "brackets",
      skipNulls: true
    });
  };
};

export { setParamsSerializer as default };
//# sourceMappingURL=paramsSerializer.js.map
