import { _ as _defineProperty } from '../../defineProperty-CrCYjjU3.js';
import { ReactQueryDevtools } from '@tanstack/react-query-devtools';
import BrowserSupport from '@bigbinary/neeto-molecules/BrowserSupport';
import StickyRibbonsContainer from '@bigbinary/neeto-molecules/StickyRibbonsContainer';
import { BrowserRouter } from 'react-router-dom';
import { ToastContainer } from 'react-toastify';
import HoneybadgerErrorBoundary from '../HoneybadgerErrorBoundary/HoneybadgerErrorBoundary.js';
import QueryClientProvider from '../QueryClientProvider/QueryClientProvider.js';
import { jsx, jsxs } from 'react/jsx-runtime';
import '../../typeof-D-UKOauR.js';
import '@honeybadger-io/react';
import '../HoneybadgerErrorBoundary/constants.js';
import '../HoneybadgerErrorBoundary/FallbackComponent.js';
import 'react';
import 'dompurify';
import '@bigbinary/neetoui/Button';
import '@bigbinary/neetoui/Typography';
import 'ramda';
import 'react-i18next';
import '../HoneybadgerErrorBoundary/utils.js';
import '@tanstack/react-query';
import '../QueryClientProvider/queryClient.js';
import '../../constants/index.js';
import '../../constants/regex.js';

var e=[],t=[];function n(n,r){if(n&&"undefined"!=typeof document){var a,s=true===r.prepend?"prepend":"append",d=true===r.singleTag,i="string"==typeof r.container?document.querySelector(r.container):document.getElementsByTagName("head")[0];if(d){var u=e.indexOf(i);-1===u&&(u=e.push(i)-1,t[u]={}),a=t[u]&&t[u][s]?t[u][s]:t[u][s]=c();}else a=c();65279===n.charCodeAt(0)&&(n=n.substring(1)),a.styleSheet?a.styleSheet.cssText+=n:a.appendChild(document.createTextNode(n));}function c(){var e=document.createElement("style");if(e.setAttribute("type","text/css"),r.attributes)for(var t=Object.keys(r.attributes),n=0;n<t.length;n++)e.setAttribute(t[n],r.attributes[t[n]]);var a="prepend"===s?"afterbegin":"beforeend";return i.insertAdjacentElement(a,e),e}}

var css = ".tsqd-transitions-container aside{z-index:99999}";
n(css,{});

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), true).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var AppContainer = function AppContainer(_ref) {
  var children = _ref.children,
    browserSupportProps = _ref.browserSupportProps,
    _ref$enableStickyRibb = _ref.enableStickyRibbons,
    enableStickyRibbons = _ref$enableStickyRibb === void 0 ? globalProps.ssoEnabled : _ref$enableStickyRibb,
    honeybadgerErrorBoundaryProps = _ref.honeybadgerErrorBoundaryProps,
    reactQueryDevtoolsProps = _ref.reactQueryDevtoolsProps,
    toastContainerProps = _ref.toastContainerProps;
  return /*#__PURE__*/jsx(HoneybadgerErrorBoundary, _objectSpread(_objectSpread({}, honeybadgerErrorBoundaryProps), {}, {
    children: /*#__PURE__*/jsxs(BrowserSupport, _objectSpread(_objectSpread({}, browserSupportProps), {}, {
      children: [/*#__PURE__*/jsx(ToastContainer, _objectSpread({}, toastContainerProps)), /*#__PURE__*/jsxs(QueryClientProvider, {
        children: [globalProps.authenticated && enableStickyRibbons && /*#__PURE__*/jsx(StickyRibbonsContainer, {}), /*#__PURE__*/jsx(BrowserRouter, {
          children: children
        }), /*#__PURE__*/jsx(ReactQueryDevtools, _objectSpread({
          initialIsOpen: false,
          position: "bottom"
        }, reactQueryDevtoolsProps))]
      })]
    }))
  }));
};

export { AppContainer as default };
//# sourceMappingURL=AppContainer.js.map
