var hasPermission = function hasPermission(permission) {
  var _globalProps$permissi, _globalProps;
  var permissions = (_globalProps$permissi = (_globalProps = globalProps) === null || _globalProps === void 0 ? void 0 : _globalProps.permissions) !== null && _globalProps$permissi !== void 0 ? _globalProps$permissi : [];
  return permissions.includes(permission);
};
var hasAnyPermission = function hasAnyPermission() {
  for (var _len = arguments.length, permissions = new Array(_len), _key = 0; _key < _len; _key++) {
    permissions[_key] = arguments[_key];
  }
  return permissions.some(hasPermission);
};
var hasAllPermissions = function hasAllPermissions() {
  for (var _len2 = arguments.length, permissions = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
    permissions[_key2] = arguments[_key2];
  }
  return permissions.every(hasPermission);
};

export { hasAllPermissions, hasAnyPermission, hasPermission };
//# sourceMappingURL=permissions.js.map
